Page MenuHomePhabricator

Remove mediawiki/extensions/* repos that have never been used
Closed, ResolvedPublic

Description

We have a bunch of repositories registered in mediawiki/extensions.git that have never been used. I don't think there is any point in keeping them:

for repo in BSExtendedSearch ChemPF DetectLanguage Dice GPGMail InterwikiMap IssueTracker MassMessageEmail ORES PhpTagsDebugger PlanOut ProxyListDb RawImageHandler ReorderParserPhases SMWEnrich SearchRealnames SemanticDummyEditor ShortUrlApi ValueView VideoJsPlayer ViewportMetrics WebCache WikiPinger WikibaseClient WikibaseLib WikibaseView Workflow; do echo -n "| $repo "; git -C $repo log -n1 --format="| %h | %ai | %an | %s |"; done;
StatusExtensionLast commit Last commit dateCommit author Commit subject
Hidden, moved to other repoBSExtendedSearche7f13d32015-06-18 01:20:53 +0200Christian AistleitnerAdd .gitreview
Read-onlyChemPF00d57c72015-06-15 12:11:27 +0200Christian AistleitnerAdd .gitreview
Hidden, emptyDetectLanguagefff49d32014-09-12 09:18:36 +0200Christian AistleitnerAdd .gitreview
Read-onlyDice420d0622012-05-21 16:25:05 +0000SiebrandMerge "Add .gitignore"
Read-onlyInterwikiMap082e7722012-11-21 16:34:44 +0000ReedyAdd .gitreview and .gitignore
Read-onlyIssueTrackerca0867e2013-10-23 13:05:55 +0200Christian AistleitnerAdd .gitreview
KeepMassMessageEmail57e7cef2015-05-05 10:24:54 +0200Christian AistleitnerAdd .gitreview
KeepORESe0e3a072015-08-05 10:29:08 +0200Christian AistleitnerAdd .gitreview
HiddenPhpTagsDebugger08ed5ff2014-01-28 12:19:16 +0100Christian AistleitnerAdd .gitreview
Read-onlyPlanOute0b43832014-11-13 11:26:14 -0800Ori LivnehInitial commit
Read-onlyProxyListDbb4272d32012-08-30 23:02:29 +0100ReedyAdd .gitignore and .gitreview
HiddenRawImageHandler75bac542015-04-01 13:00:12 +0200Christian AistleitnerAdd .gitreview
Read-onlyReorderParserPhases1701ad92014-05-03 16:55:20 +0200Christian AistleitnerAdd .gitreview
HiddenSMWEnrichee87cc22015-04-24 23:42:17 +0200Christian AistleitnerAdd .gitreview
Read-onlySearchRealnames00c52a12013-06-02 03:08:25 +0100ReedyAdd .gitreview and .gitignore
HiddenSemanticDummyEditorff7d5b42014-06-18 11:12:13 +0200Christian AistleitnerAdd .gitreview
HiddenShortUrlApid4c32362014-10-04 23:16:01 -0400Mark A. Hershberger.gitreview
DeletedValueViewc96e5b32013-07-10 23:06:48 +0100ReedyAdd .gitreview and .gitignore
Read-onlyVideoJsPlayer192092e2014-01-02 09:03:12 +0100Christian AistleitnerAdd .gitreview
HiddenViewportMetricsadaa7842014-11-20 11:08:37 +0100Christian AistleitnerAdd .gitreview
Read-onlyWebCache27c30052014-05-22 20:24:28 +0200Christian AistleitnerAdd .gitreview
Read-onlyWikiPinger40766232015-05-31 20:50:47 +0200Christian AistleitnerAdd .gitreview
HiddenWikibaseClient6114fb92014-02-28 01:14:42 +0000ReedyAdd .gitreview and .gitignore
HiddenWikibaseLibf0d9a032014-02-28 01:14:51 +0000ReedyAdd .gitreview and .gitignore
HiddenWikibaseView01cf6252015-01-15 15:15:45 +0100Christian AistleitnerAdd .gitreview
Read-onlyWorkflow58a1df02014-01-13 11:42:22 +0100Christian AistleitnerAdd .gitreview

That causes a bunch of overhead for CI maintenance and anyone having a clone of mediawiki/extensions.git

Details

Related Gerrit Patches:
integration/config : masterUnconfigure removed repositories
mediawiki/extensions : masterUnregister extensions that have been hidden

Event Timeline

hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added a project: Gerrit.
hashar added a subscriber: hashar.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2015, 3:02 PM
QChris added a subscriber: QChris.EditedOct 18 2015, 9:53 AM

Since my name occurs a lot in the above table ... Those repos got created because someone else requested them at some point. I am fine with deleteing them.

Some of these repos have intial patches in gerrit that haven't been reviewed/merged, and shouldn't be deleted.

greg moved this task from Bugs & stuff to Repo Admin on the Gerrit board.Jan 20 2016, 12:29 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 20 2016, 12:29 AM
Krenair added a subscriber: Krenair.Feb 5 2016, 8:17 PM

alex@alex-laptop:~$ for repo in BSExtendedSearch ChemPF DetectLanguage Dice GPGMail InterwikiMap IssueTracker MassMessageEmail ORES PhpTagsDebugger PlanOut ProxyListDb RawImageHandler ReorderParserPhases SMWEnrich SearchRealnames SemanticDummyEditor ShortUrlApi ValueView VideoJsPlayer ViewportMetrics WebCache WikiPinger WikibaseClient WikibaseLib WikibaseView Workflow; do echo -n "| $repo | "; ssh gerrit gerrit query project:mediawiki/extensions/$repo | grep rowCount | sed -e 's/rowCount: //'; done;

BSExtendedSearch1
ChemPF0
DetectLanguage0
Dice3
GPGMail24
InterwikiMap3
IssueTracker2
MassMessageEmail2
ORES80
PhpTagsDebugger1
PlanOut1
ProxyListDb3
RawImageHandler0
ReorderParserPhases5
SMWEnrich0
SearchRealnames2
SemanticDummyEditor1
ShortUrlApi2
ValueView0
VideoJsPlayer2
ViewportMetrics0
WebCache3
WikiPinger1
WikibaseClient2
WikibaseLib2
WikibaseView0
Workflow6
Paladox added a subscriber: Paladox.EditedJul 31 2016, 11:48 PM

@demon We will need this https://gerrit.googlesource.com/plugins/delete-project/ plugin to delete those repos in gerrit.

Paladox added a subscriber: demon.Jul 31 2016, 11:48 PM

@demon We will need this https://gerrit.googlesource.com/plugins/delete-project/ plugin to delete those repos in gerrit.

I think we can Archive them within our current SOP and it will be fine.

demon added a comment.Aug 1 2016, 2:48 PM

Just mark them as hidden and we'll be fine. Deletion is destructive.

hashar closed this task as Resolved.Nov 24 2016, 8:19 PM
hashar claimed this task.
hashar updated the task description. (Show Details)
hashar set Security to None.

I have finally found time to review the list. Repos that had no change have been hidden. For the ones having changes I have abandoned them (most where 2+ years old) and marked them read-only.

Change 323443 had a related patch set uploaded (by Hashar):
Unregister extensions that have been hidden

https://gerrit.wikimedia.org/r/323443

Change 323443 merged by Hashar:
Unregister extensions that have been hidden

https://gerrit.wikimedia.org/r/323443

Some of these repos have intial patches in gerrit that haven't been reviewed/merged, and shouldn't be deleted.

Indeed. I don't understand https://gerrit.wikimedia.org/r/#/c/137518/

demon added a comment.Nov 24 2016, 8:55 PM

Some of these repos have intial patches in gerrit that haven't been reviewed/merged, and shouldn't be deleted.

Indeed. I don't understand https://gerrit.wikimedia.org/r/#/c/137518/

Neither do I. What possible harm was that patch causing?

Change 323514 had a related patch set uploaded (by Hashar):
Unconfigure removed repositories

https://gerrit.wikimedia.org/r/323514

Change 323514 merged by jenkins-bot:
Unconfigure removed repositories

https://gerrit.wikimedia.org/r/323514